Start a new topic

Black Screen displays after upgrading to SDK v 2.0.1

Black Screen displays after upgrading to SDK v 2.0.1


Hi,

-ObjC is the correct one and should also be mentioned in the iOS Documentation (v 2.0). It is definitively mentioned in the Documentation v 3.0 ;).

Best regards

Andreas

The default for PhoneGap generated project is "-Obj-C", but it needs "-ObjC" to work properly. Would have saved me a few hours of debugging if that was included in the Wikitude PhoneGap IOS instructions. :)

Yes, thats great.

Thanks,

KB.

Hi,

The QCAR library is only available for armv7, so we had to restrict our SDK too. The next release (which will be live soon) will support armv7s.

 

Best reagards

Andreas

Hi Andreas,

Thanks for your quick reply.

I've used "armv7 armv7s" due to some 3rd party needs both.

Now, i ve made to work with only "armv7" and other linker flag to "-ObjC" .

Now, its working perfectly.

But , the Wikitude previous version supports both "armv7 armv7s".

But why this changes on the latst release ?

 

Thanks,

KB.

 

Hi,

can you make sure that you migrated correctly from version 1.x to 2.x? There are several changes you need to do in order to use the SDK. Please have a look at the sample applications that ship with the SDK.

If you continue having problems, please report your iOS version, which device you're using and your Xcode version.

 

Best regards

Andreas

Hi ,

I've implemented the wikitude AR view(v 1.1.1) on iPhone 4s.

Recently, i 've updated my SDK version to the Latest (2.0.1).

Now, it just displays the black screen. Camra view isnot loaded.

Is anyone help me out this?

 

Thanks,

KB.
Login or Signup to post a comment